{% extends "customers/base.html" %}
{% load i18n %}
{% load active_tag %}
{% load humanize %}
{% load staticfiles %}

{% block pagelevelcss %}
<link href="{% static 'assets/plugins/datatables.net-bs4/css/dataTables.bootstrap4.min.css' %}" rel="stylesheet" />
  <link href="{% static 'assets/plugins/datatables.net-responsive-bs4/css/responsive.bootstrap4.min.css' %}" rel="stylesheet" />
{% endblock %}

{% block title %}Detalle del Servicio {{ service.number }}{% endblock %}

  {% block page %}
  {%if can_show_detail %}
    <!-- begin breadcrumb -->
    <ol class="breadcrumb float-xl-right">
		<li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
		<li class="breadcrumb-item"><a href="{% url 'customer-list' %}">Clientes</a></li>
		<li class="breadcrumb-item"><a href="{% url 'customer-detail' pk=customer.pk %}">{{ customer.rut }}</a></li>
		<li class="breadcrumb-item"><a href="{% url 'service-list' customer_pk=customer.pk %}">Servicios Contratados</a></li>
		<li class="breadcrumb-item"><a href="{% url 'service-detail' slug=service.pk %}">#{{ service.number }}</a></li>
        <li class="breadcrumb-item active">Promociones</li>
	</ol>
      <!-- end breadcrumb -->
  <!-- begin page-header -->
  <h1 class="page-header">#{{ service.number }} - {{ customer.name }}</h1>
  <!-- end page-header -->
  <ul class="nav nav-pills mb-2">
    <li class="nav-item {% add_active request 'service-detail' %}">
        <a href="{% url 'service-detail' slug=service.pk %}"class="nav-link">
            <span class="d-sm-none">General</span>
            <span class="d-sm-block d-none">General</span>
        </a>
    </li>
    <li class="nav-item {% add_active request 'service-network-detail' %}">
        <a href="{% url 'service-network-detail' slug=service.slug %}" class="nav-link">
            <span class="d-sm-none">Red</span>
            <span class="d-sm-block d-none">Red</span>
        </a>
    </li>
    <!--
    <li class="nav-item {% add_active request 'service-calls' %}">
        <a href="{% url 'service-calls' slug=service.slug %}" class="nav-link">
            <span class="d-sm-none">Registro de Llamadas</span>
            <span class="d-sm-block d-none">Registro de Llamadas</span>
        </a>
    </li>
    -->
    <li class="nav-item {% add_active request 'service-gallery' %}">
        <a href="{% url 'service-gallery' slug=service.slug %}" class="nav-link">
            <span class="d-sm-none">Galería</span>
            <span class="d-sm-block d-none">Galería</span>
        </a>
    </li>
    <li class="nav-item {% add_active request 'service-documents' %}">
        <a href="{% url 'service-documents' slug=service.slug %}" class="nav-link">
            <span class="d-sm-none">Documentos</span>
            <span class="d-sm-block d-none">Documentos</span>
        </a>
    </li>
    <li class="nav-item {% add_active request 'service-extras' %}">
        <a href="{% url 'service-extras' slug=service.slug %}" class="nav-link">
            <span class="d-sm-none">Prefacturación</span>
            <span class="d-sm-block d-none">Prefacturación</span>
        </a>
    </li>
    <li class="nav-item">
        <a href="#" class="nav-link active">
            <span class="d-sm-none">Promociones</span>
            <span class="d-sm-block d-none">Promociones</span>
        </a>
    </li>
    <li class="nav-item {% add_active request 'service-plan-orders' %}">
        <a href="{% url 'service-plan-orders' slug=service.slug %}" class="nav-link">
            <span class="d-sm-none">Orden de Servicio</span>
            <span class="d-sm-block d-none">Orden de Servicio</span>
        </a>
    </li>
    <li class="nav-item {% add_active request 'service-configuration' %}">
        <a href="{% url 'service-configuration' slug=service.slug %}" class="nav-link">
            <span class="d-sm-none">Configuración</span>
            <span class="d-sm-block d-none">Configuración</span>
        </a>
      </li>
    <li class="nav-item {% add_active request 'service-billing' %}">
    <a href="{% url 'service-billing' service.slug %}" class="nav-link">
      <span class="d-sm-none">Estado de Cuenta servicio</span>
      <span class="d-sm-block d-none">Estado de Cuenta servicio</span>
    </a>
  </li> 
    <li class="nav-item {% add_active request 'invoice-list' %}">
        <a href="{% url 'invoice-list' service.customer.pk %}" class="nav-link">
            <span class="d-sm-none">Estado de Cuenta cliente</span>
            <span class="d-sm-block d-none">Estado de Cuenta cliente</span>
        </a>
    </li>
    
</ul>
 <!-- begin row -->
 <div class="row">
    <!-- begin col-6 -->
    <div class="col-xl-12">
      <!-- begin panel -->
      <div class="panel panel-inverse" data-sortable-id="table-basic-1">
        <!-- begin panel-heading -->
        <div class="panel-heading">
          <h4 class="panel-title">Promociones</h4>
          <div class="panel-heading-btn">
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
          </div>
        </div>
        <!-- end panel-heading -->
        <div class="panel-body">
            <table id="service-promotions-list" class="table table-hover m-b-0 text-inverse">
                <thead>
                <tr>
                    <th>Fecha de creación</th>
                    <th>Nombre</th>
                    <th>Plan</th>
                    <th>Número de períodos</th>
                </tr>
                </thead>
                <tbody>
                </tbody>
            </table>
            {% if is_paginated %}
                <!--<div style="text-align: center;">
                <span class="page-links">
                    {% if page_obj.has_previous %}
                        <a class="btn btn-default" href="?page={{ page_obj.previous_page_number }}">«</a>
                    {% endif %}
                    <span class="page-current">
                        Página {{ page_obj.number }} de {{ page_obj.paginator.num_pages }}.
                    </span>
                    {% if page_obj.has_next %}
                        <a class="btn btn-default" href="?page={{ page_obj.next_page_number }}">»</a>
                    {% endif %}
                </span>
                </div>-->
            {% endif %}
        </div>
        <!-- end panel-body -->
      </div>
      <div class="panel panel-inverse" data-sortable-id="table-basic-1">
        <!-- begin panel-heading -->
        <div class="panel-heading">
          <h4 class="panel-title">Histórico de promociones</h4>
          <div class="panel-heading-btn">
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
          </div>
        </div>
        <!-- end panel-heading -->
        <div class="panel-body">
            <table id="service-promotions-list-historic" class="table table-hover m-b-0 text-inverse">
                <thead>
                <tr>
                    <th>Fecha de creación</th>
                    <th>Nombre</th>
                    <th>Plan</th>
                    <th>Número de períodos</th>
                </tr>
                </thead>
                <tbody>
                </tbody>
            </table>
            {% if is_paginated %}
                <!--<div style="text-align: center;">
                <span class="page-links">
                    {% if page_obj.has_previous %}
                        <a class="btn btn-default" href="?page={{ page_obj.previous_page_number }}">«</a>
                    {% endif %}
                    <span class="page-current">
                        Página {{ page_obj.number }} de {{ page_obj.paginator.num_pages }}.
                    </span>
                    {% if page_obj.has_next %}
                        <a class="btn btn-default" href="?page={{ page_obj.next_page_number }}">»</a>
                    {% endif %}
                </span>
                </div>-->
            {% endif %}
        </div>
        <!-- end panel-body -->
      </div>
    <!-- end panel -->
    </div>
<!-- end col-12 -->
</div>
<!-- end row -->

<!-- begin scroll to top btn -->
<a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
<!-- end scroll to top btn -->
{%else%}
<!-- begin page-header -->
<h1 class="page-header">  Servicio </h1>
<!-- end page-header -->
<div class="alert alert-success"  style="background-color: rgb(245, 156, 26); text-align: center;" role="alert">
<h4 class="alert-heading" style=" text-align: center;">No encontrado</h4>
<hr>
<h5 class="mb-0">Cambie de operador o vuelva al listado.</h5>
</div>
{% endif %}
{% endblock %}

{% block pageleveljs %}
<script src="{% static 'assets/plugins/datatables.net/jquery.dataTables.min.js' %}" defer></script>
<script src="{% static 'assets/plugins/datatables.net-bs4/js/dataTables.bootstrap4.min.js' %}" defer></script>
<script src="{% static 'assets/plugins/datatables.net-responsive/js/dataTables.responsive.min.js' %}" defer></script>
<script src="{% static 'assets/plugins/datatables.net-responsive-bs4/js/responsive.bootstrap4.min.js' %}" defer></script>
<script type="text/javascript" src="{% static 'theme/build/js/pages/service-promotions-list.js' %}"></script>
{% endblock %}